guile-cvs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

guile/guile-oops Makefile.in aclocal.m4 configure


From: Mikael Djurfeldt
Subject: guile/guile-oops Makefile.in aclocal.m4 configure
Date: Thu, 22 Feb 2001 17:05:56 -0800

CVSROOT:        /cvs
Module name:    guile
Changes by:     Mikael Djurfeldt <address@hidden>       01/02/22 17:05:56

Modified files:
        guile-oops     : Makefile.in aclocal.m4 configure 

Log message:
        Regenerated

CVSWeb URLs:
http://subversions.gnu.org/cgi-bin/cvsweb/guile/guile-oops/Makefile.in.diff?r1=1.40&r2=1.41
http://subversions.gnu.org/cgi-bin/cvsweb/guile/guile-oops/aclocal.m4.diff?r1=1.7&r2=1.8
http://subversions.gnu.org/cgi-bin/cvsweb/guile/guile-oops/configure.diff?r1=1.15&r2=1.16

Patches:
Index: guile/guile-oops/Makefile.in
diff -u guile/guile-oops/Makefile.in:1.40 guile/guile-oops/Makefile.in:1.41
--- guile/guile-oops/Makefile.in:1.40   Fri Jun 30 13:22:33 2000
+++ guile/guile-oops/Makefile.in        Thu Feb 22 17:05:56 2001
@@ -65,13 +65,12 @@
 GOOPS_MAJOR_VERSION = @GOOPS_MAJOR_VERSION@
 GOOPS_MINOR_VERSION = @GOOPS_MINOR_VERSION@
 GOOPS_VERSION = @GOOPS_VERSION@
-GUILE_CFLAGS = @GUILE_CFLAGS@
-GUILE_LDFLAGS = @GUILE_LDFLAGS@
 LIBGOOPSCORE_MAJOR_VERSION = @LIBGOOPSCORE_MAJOR_VERSION@
 LIBGOOPSCORE_MINOR_VERSION = @LIBGOOPSCORE_MINOR_VERSION@
 LIBGOOPSCORE_REVISION_VERSION = @LIBGOOPSCORE_REVISION_VERSION@
 LIBGOOPSCORE_VERSION = @LIBGOOPSCORE_VERSION@
 LIBLOBJS = @LIBLOBJS@
+LIBQTHREADS = @LIBQTHREADS@
 LIBTOOL = @LIBTOOL@
 LN_S = @LN_S@
 MAINT = @MAINT@
@@ -88,7 +87,7 @@
 
 guile_oops_SOURCES = guile-oops.c
 guile_oops_DEPENDENCIES = @LIBLOBJS@
-guile_oops_LDADD = @LIBLOBJS@ libgoopscore.la
+guile_oops_LDADD = @LIBLOBJS@ libgoopscore.la @LIBQTHREADS@
 
 libgoopscore_la_SOURCES = goops.c
 libgoopscore_la_LDFLAGS = -version-info 
@LIBGOOPSCORE_MAJOR_VERSION@:@LIBGOOPSCORE_MINOR_VERSION@:@LIBGOOPSCORE_REVISION_VERSION@
 -export-dynamic
Index: guile/guile-oops/aclocal.m4
diff -u guile/guile-oops/aclocal.m4:1.7 guile/guile-oops/aclocal.m4:1.8
--- guile/guile-oops/aclocal.m4:1.7     Fri Jun 30 13:22:33 2000
+++ guile/guile-oops/aclocal.m4 Thu Feb 22 17:05:56 2001
@@ -135,82 +135,6 @@
   $1_FALSE=
 fi])
 
-dnl   Automake macros for working with Guile.
-dnl   
-dnl    Copyright (C) 1998 Free Software Foundation, Inc.
-dnl   
-dnl   This program is free software; you can redistribute it and/or modify
-dnl   it under the terms of the GNU General Public License as published by
-dnl   the Free Software Foundation; either version 2, or (at your option)
-dnl   any later version.
-dnl   
-dnl   This program is distributed in the hope that it will be useful,
-dnl   but WITHOUT ANY WARRANTY; without even the implied warranty of
-dnl   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-dnl   GNU General Public License for more details.
-dnl   
-dnl   You should have received a copy of the GNU General Public License
-dnl   along with this software; see the file COPYING.  If not, write to
-dnl   the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
-dnl   Boston, MA 02111-1307 USA
-dnl   
-dnl   As a special exception, the Free Software Foundation gives permission
-dnl   for additional uses of the text contained in its release of GUILE.
-dnl   
-dnl   The exception is that, if you link the GUILE library with other files
-dnl   to produce an executable, this does not by itself cause the
-dnl   resulting executable to be covered by the GNU General Public License.
-dnl   Your use of that executable is in no way restricted on account of
-dnl   linking the GUILE library code into it.
-dnl   
-dnl   This exception does not however invalidate any other reasons why
-dnl   the executable file might be covered by the GNU General Public License.
-dnl   
-dnl   This exception applies only to the code released by the
-dnl   Free Software Foundation under the name GUILE.  If you copy
-dnl   code from other Free Software Foundation releases into a copy of
-dnl   GUILE, as the General Public License permits, the exception does
-dnl   not apply to the code that you add in this way.  To avoid misleading
-dnl   anyone as to the status of such modified files, you must delete
-dnl   this exception notice from them.
-dnl   
-dnl   If you write modifications of your own for GUILE, it is your choice
-dnl   whether to permit this exception to apply to your modifications.
-dnl   If you do not wish that, delete this exception notice.
-
-
-dnl   GUILE_FLAGS --- set flags for compiling and linking with Guile
-dnl 
-dnl   This macro runs the `guile-config' script, installed with Guile,
-dnl   to find out where Guile's header files and libraries are
-dnl   installed.  It sets two variables, marked for substitution, as
-dnl   by AC_SUBST.
-dnl
-dnl    GUILE_CFLAGS --- flags to pass to a C or C++ compiler to build
-dnl            code that uses Guile header files.  This is almost
-dnl            always just a -I flag.
-dnl
-dnl     GUILE_LDFLAGS --- flags to pass to the linker to link a
-dnl            program against Guile.  This includes `-lguile' for
-dnl            the Guile library itself, any libraries that Guile
-dnl            itself requires (like -lqthreads), and so on.  It may
-dnl            also include a -L flag to tell the compiler where to
-dnl            find the libraries.
-
-AC_DEFUN([GUILE_FLAGS],[
-  ## First, let's just see if we can find Guile at all.
-  AC_MSG_CHECKING(for Guile)
-  guile-config link > /dev/null || {
-    echo "configure: cannot find guile-config; is Guile installed?" 1>&2
-    exit 1
-  }
-  GUILE_CFLAGS="`guile-config compile`"
-  GUILE_LDFLAGS="`guile-config link`"
-  AC_SUBST(GUILE_CFLAGS)
-  AC_SUBST(GUILE_LDFLAGS)
-  AC_MSG_RESULT(yes)
-])
-
 
 # serial 40 AC_PROG_LIBTOOL
 AC_DEFUN(AC_PROG_LIBTOOL,
Index: guile/guile-oops/configure
diff -u guile/guile-oops/configure:1.15 guile/guile-oops/configure:1.16
--- guile/guile-oops/configure:1.15     Fri Jun 30 13:22:33 2000
+++ guile/guile-oops/configure  Thu Feb 22 17:05:56 2001
@@ -822,20 +822,7 @@
   LIBOBJS="fdi.o $LIBOBJS"
 fi
 
-
-  ## First, let's just see if we can find Guile at all.
-  echo $ac_n "checking for Guile""... $ac_c" 1>&6
-echo "configure:829: checking for Guile" >&5
-  guile-config link > /dev/null || {
-    echo "configure: cannot find guile-config; is Guile installed?" 1>&2
-    exit 1
-  }
-  GUILE_CFLAGS="`guile-config compile`"
-  GUILE_LDFLAGS="`guile-config link`"
-  
-  
-  echo "$ac_t""yes" 1>&6
-
+GUILE_FLAGS
 if test "`guile -c '(display (string>=? (version) "1.3.3"))'`" != "#t"; then
   { echo "configure: error: Your Guile is too old.  You need guile-core-1.3.3 
or later." 1>&2; exit 1; }
 fi
@@ -843,7 +830,7 @@
 # Extract the first word of "gcc", so it can be a program name with args.
 set dummy gcc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:847: checking for $ac_word" >&5
+echo "configure:834: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -873,7 +860,7 @@
   # Extract the first word of "cc", so it can be a program name with args.
 set dummy cc; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:877: checking for $ac_word" >&5
+echo "configure:864: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -924,7 +911,7 @@
       # Extract the first word of "cl", so it can be a program name with args.
 set dummy cl; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:928: checking for $ac_word" >&5
+echo "configure:915: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -956,7 +943,7 @@
 fi
 
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... 
$ac_c" 1>&6
-echo "configure:960: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) 
works" >&5
+echo "configure:947: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) 
works" >&5
 
 ac_ext=c
 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
@@ -967,12 +954,12 @@
 
 cat > conftest.$ac_ext << EOF
 
-#line 971 "configure"
+#line 958 "configure"
 #include "confdefs.h"
 
 main(){return(0);}
 EOF
-if { (eval echo configure:976: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && 
test -s conftest${ac_exeext}; then
+if { (eval echo configure:963: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && 
test -s conftest${ac_exeext}; then
   ac_cv_prog_cc_works=yes
   # If we can't run a trivial program, we are probably using a cross compiler.
   if (./conftest; exit) 2>/dev/null; then
@@ -998,12 +985,12 @@
   { echo "configure: error: installation or configuration problem: C compiler 
cannot create executables." 1>&2; exit 1; }
 fi
 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a 
cross-compiler""... $ac_c" 1>&6
-echo "configure:1002: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) 
is a cross-compiler" >&5
+echo "configure:989: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is 
a cross-compiler" >&5
 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
 cross_compiling=$ac_cv_prog_cc_cross
 
 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
-echo "configure:1007: checking whether we are using GNU C" >&5
+echo "configure:994: checking whether we are using GNU C" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1012,7 +999,7 @@
   yes;
 #endif
 EOF
-if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:1016: 
\"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
+if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:1003: 
\"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
   ac_cv_prog_gcc=yes
 else
   ac_cv_prog_gcc=no
@@ -1031,7 +1018,7 @@
 ac_save_CFLAGS="$CFLAGS"
 CFLAGS=
 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
-echo "configure:1035: checking whether ${CC-cc} accepts -g" >&5
+echo "configure:1022: checking whether ${CC-cc} accepts -g" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1063,7 +1050,7 @@
 fi
 
 echo $ac_n "checking whether ln -s works""... $ac_c" 1>&6
-echo "configure:1067: checking whether ln -s works" >&5
+echo "configure:1054: checking whether ln -s works" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_LN_S'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1159,7 +1146,7 @@
 fi
 
 echo $ac_n "checking host system type""... $ac_c" 1>&6
-echo "configure:1163: checking host system type" >&5
+echo "configure:1150: checking host system type" >&5
 
 host_alias=$host
 case "$host_alias" in
@@ -1180,7 +1167,7 @@
 echo "$ac_t""$host" 1>&6
 
 echo $ac_n "checking build system type""... $ac_c" 1>&6
-echo "configure:1184: checking build system type" >&5
+echo "configure:1171: checking build system type" >&5
 
 build_alias=$build
 case "$build_alias" in
@@ -1200,7 +1187,7 @@
 # Extract the first word of "ranlib", so it can be a program name with args.
 set dummy ranlib; ac_word=$2
 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
-echo "configure:1204: checking for $ac_word" >&5
+echo "configure:1191: checking for $ac_word" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1239,7 +1226,7 @@
 if test "$ac_cv_prog_gcc" = yes; then
   # Check if gcc -print-prog-name=ld gives a path.
   echo $ac_n "checking for ld used by GCC""... $ac_c" 1>&6
-echo "configure:1243: checking for ld used by GCC" >&5
+echo "configure:1230: checking for ld used by GCC" >&5
   ac_prog=`($CC -print-prog-name=ld) 2>&5`
   case "$ac_prog" in
     # Accept absolute paths.
@@ -1263,10 +1250,10 @@
   esac
 elif test "$with_gnu_ld" = yes; then
   echo $ac_n "checking for GNU ld""... $ac_c" 1>&6
-echo "configure:1267: checking for GNU ld" >&5
+echo "configure:1254: checking for GNU ld" >&5
 else
   echo $ac_n "checking for non-GNU ld""... $ac_c" 1>&6
-echo "configure:1270: checking for non-GNU ld" >&5
+echo "configure:1257: checking for non-GNU ld" >&5
 fi
 if eval "test \"`echo '$''{'ac_cv_path_LD'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1301,7 +1288,7 @@
 fi
 test -z "$LD" && { echo "configure: error: no acceptable ld found in \$PATH" 
1>&2; exit 1; }
 echo $ac_n "checking if the linker ($LD) is GNU ld""... $ac_c" 1>&6
-echo "configure:1305: checking if the linker ($LD) is GNU ld" >&5
+echo "configure:1292: checking if the linker ($LD) is GNU ld" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_gnu_ld'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1317,7 +1304,7 @@
 
 
 echo $ac_n "checking for BSD-compatible nm""... $ac_c" 1>&6
-echo "configure:1321: checking for BSD-compatible nm" >&5
+echo "configure:1308: checking for BSD-compatible nm" >&5
 if eval "test \"`echo '$''{'ac_cv_path_NM'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -1381,8 +1368,8 @@
 case "$lt_target" in
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 1385 "configure"' > conftest.$ac_ext
-  if { (eval echo configure:1386: \"$ac_compile\") 1>&5; (eval $ac_compile) 
2>&5; }; then
+  echo '#line 1372 "configure"' > conftest.$ac_ext
+  if { (eval echo configure:1373: \"$ac_compile\") 1>&5; (eval $ac_compile) 
2>&5; }; then
     case "`/usr/bin/file conftest.o`" in
     *32-bit*)
       LD="${LD-ld} -32"
@@ -1403,19 +1390,19 @@
   SAVE_CFLAGS="$CFLAGS"
   CFLAGS="$CFLAGS -belf"
   echo $ac_n "checking whether the C compiler needs -belf""... $ac_c" 1>&6
-echo "configure:1407: checking whether the C compiler needs -belf" >&5
+echo "configure:1394: checking whether the C compiler needs -belf" >&5
 if eval "test \"`echo '$''{'lt_cv_cc_needs_belf'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 1412 "configure"
+#line 1399 "configure"
 #include "confdefs.h"
 
 int main() {
 
 ; return 0; }
 EOF
-if { (eval echo configure:1419: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && 
test -s conftest${ac_exeext}; then
+if { (eval echo configure:1406: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && 
test -s conftest${ac_exeext}; then
   rm -rf conftest*
   lt_cv_cc_needs_belf=yes
 else
@@ -1518,17 +1505,20 @@
 
 
 CFLAGS="$CFLAGS $GUILE_CFLAGS"
-LIBS="$LIBS $GUILE_LDFLAGS"
+LIBS="$LIBS `echo $GUILE_LDFLAGS | sed s/-lqthreads//`"
+LIBQTHREADS=`echo $GUILE_LDFLAGS | sed 's/.*\(-lqthreads\).*/\1/p;d'`
+
+
 
-for ac_func in scm_simple_format scm_shared_array_root
+for ac_func in scm_simple_format
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:1527: checking for $ac_func" >&5
+echo "configure:1517: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 1532 "configure"
+#line 1522 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -1551,7 +1541,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:1555: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && 
test -s conftest${ac_exeext}; then
+if { (eval echo configure:1545: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && 
test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -1569,7 +1559,7 @@
   cat >> confdefs.h <<EOF
 #define $ac_tr_func 1
 EOF
- 
+ scm_shared_array_root
 else
   echo "$ac_t""no" 1>&6
 fi
@@ -1577,19 +1567,19 @@
 
 
 echo $ac_n "checking for two argument scm_mutex_init""... $ac_c" 1>&6
-echo "configure:1581: checking for two argument scm_mutex_init" >&5
+echo "configure:1571: checking for two argument scm_mutex_init" >&5
 if eval "test \"`echo '$''{'ac_cv_func_scm_mutex_init_two_args'+set}'`\" = 
set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 1586 "configure"
+#line 1576 "configure"
 #include "confdefs.h"
 #include <libguile.h>
 int main() {
 scm_mutex_init (NULL, NULL);
 ; return 0; }
 EOF
-if { (eval echo configure:1593: \"$ac_compile\") 1>&5; (eval $ac_compile) 
2>&5; }; then
+if { (eval echo configure:1583: \"$ac_compile\") 1>&5; (eval $ac_compile) 
2>&5; }; then
   rm -rf conftest*
   ac_cv_func_scm_mutex_init_two_args=yes
 else
@@ -1792,8 +1782,6 @@
 address@hidden@%$MAINTAINER_MODE_TRUE%g
 address@hidden@%$MAINTAINER_MODE_FALSE%g
 address@hidden@%$MAINT%g
address@hidden@%$GUILE_CFLAGS%g
address@hidden@%$GUILE_LDFLAGS%g
 address@hidden@%$CC%g
 address@hidden@%$LN_S%g
 address@hidden@%$host%g
@@ -1808,6 +1796,7 @@
 address@hidden@%$build_os%g
 address@hidden@%$RANLIB%g
 address@hidden@%$LIBTOOL%g
address@hidden@%$LIBQTHREADS%g
 address@hidden@%$GOOPS_MAJOR_VERSION%g
 address@hidden@%$GOOPS_MINOR_VERSION%g
 address@hidden@%$GOOPS_VERSION%g



reply via email to

[Prev in Thread] Current Thread [Next in Thread]